package bull.com.orderform.session;

import javax.ejb.Remove;
import javax.ejb.Stateful;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.log.Log;
import org.jboss.seam.international.StatusMessages;
import org.hibernate.validator.Length;

@Stateful
@Name("Form")
public class FormBean implements Form
{
    @Logger private Log log;

    @In StatusMessages statusMessages;

    private String value;

    public void form()
    {
        // implement your business logic here
        log.info("Form.form() action called with: #{Form.value}");
        statusMessages.add("form #{Form.value}");
    }

    // add additional action methods

    @Length(max = 10)
    public String getValue()
    {
        return value;
    }

    public void setValue(String value)
    {
        this.value = value;
    }

    @Remove
    public void destroy() {}

}
